Page MenuHomePhabricator

Make all page actions fit new (less high) id header
Closed, ResolvedPublic2 Story Points

Description

The page actions (cf. fav star) can contain actions that we are not in control of. These actions are indicated by icons which style needs to be customized in order to fit into the reduced height that the id header provides.
The list of known actions: "watch", "download" (known as of 2019-02-27).

The header defect described in T215890 now also affects the action icons so maybe this should be solved together.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 7 2019, 10:56 AM
WMDE-leszek updated the task description. (Show Details)Feb 27 2019, 3:14 PM
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)Feb 27 2019, 3:19 PM
WMDE-leszek set the point value for this task to 2.Feb 27 2019, 3:22 PM

Change 493379 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] minerva: Make all page actions fit new id header

https://gerrit.wikimedia.org/r/493379

Pablo-WMDE updated the task description. (Show Details)Mar 1 2019, 2:31 PM

Change 495886 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] Adjust header to new minerva

https://gerrit.wikimedia.org/r/495886

Change 493379 abandoned by Pablo Grass (WMDE):
minerva: Make all page actions fit new id header

Reason:
Minerva changed so we'll redo this.

https://gerrit.wikimedia.org/r/493379

Change 495886 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Adjust header to new minerva

https://gerrit.wikimedia.org/r/495886

The header looks indeed beautiful, but I'm struggling a bit to accept this story, because I don't see any icon except the ones we expect. Do I maybe need to follow a different link to see the download icon, too?

The download icon seems only to appear if you are using chrome.

@Matthias_Geisler_WMDE thanks for the pointer! I now see a beautifully aligned icon, the order of icons is now changed though, which creates an inconsistency with e.g. Wikipedia mobile:

Pablo-WMDE claimed this task.
Pablo-WMDE added a comment.EditedFri, Mar 22, 11:32 AM

This is indeed a tricky situation.
On beta (use Chrome!) the only icon shown in the actions "initially" is the "watchlist star". Depending on the configuration of the wiki there could be more (e.g. $wgMinervaAlwaysShowLanguageButton). The "download action" is added later for some browsers. It is hard-wired to be added at the second position. Instinctively we could be tempted to inverse the given order but I believe we should try for a more robust solution or else this will haunt us. I pinged @Jdrewniak in T215890 to see what he thinks.

Background:

  • The "download action" is only visible (amongst other checks)
    • for some browsers/devices. Check for the download action to be displayed happens here.
    • if the page shown is of namespace 0 which is not the case in (most of / all of?) our dev setups.

Change 498378 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] less: do not repeat selectors

https://gerrit.wikimedia.org/r/498378

Change 498384 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] termbox: adjust header to minerva changes

https://gerrit.wikimedia.org/r/498384

Change 498397 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] termbox: more efficient minerva override

https://gerrit.wikimedia.org/r/498397

Change 498378 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] less: do not repeat selectors

https://gerrit.wikimedia.org/r/498378

Change 498384 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] termbox: adjust header to minerva changes

https://gerrit.wikimedia.org/r/498384

Change 498397 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] termbox: flex-based minerva override

https://gerrit.wikimedia.org/r/498397

@Lea_WMDE Thanks for pointing this out. We, in close collab w/ UX, gave the whole section an overhaul based on incoming minerva changes - the star should always be the outermost action icon: https://wikidata.beta.wmflabs.org/w/index.php?title=Item:Q11&useformat=mobile

Sorry I overlooked your comment last week :/ So the icons now look awesome, I just noticed one thing and I wonder if this is related to the ticket: On Chrome the min width is bigger than on firefox, and the delta could roughly be the icon size. But if this is not related, then please mark the ticket as resolved :)

I just noticed one thing and I wonder if this is related to the ticket: On Chrome the min width is bigger than on firefox, and the delta could roughly be the icon size.

A screenshot would be of great help in understanding what exactly happens and on which element using which viewport width.

Pablo-WMDE closed this task as Resolved.Mon, Apr 8, 10:39 AM